from setuptools import find_packages, setup

setup(
    name='phlowerpy',
    version='0.1.4',
    description='hodge decomposition trajectory',
    long_description='Single cell trajectory inference using hodge laplacian decomposition',
    url='https://github.com/CostaLab/phlower',
    author='Mingbo Cheng',
    author_email='chengmingbo@gmail.com',
    license='BSD 2-clause',
    install_requires=['numpy>=1.23.5',
                      'matplotlib>=3.9.1',
                      'seaborn>=0.12.2',
                      'networkx>=2.4',
                      'pydot>=1.4.2',
                      'igraph>=0.10.5',
                      "scikit-learn>=1.5.1",
                      "scipy>=1.11.4",
                      "pandas>=2.1.3",
                      "plotly>=5.23.0",
                      "tqdm>=4.65.0",
                      "leidenalg>=0.9.1",
                      "python-louvain>=0.16",
                      "colorcet>=3.0.1",
                      'umap-learn>=0.5.5',
                      'scikit-sparse>=0.4.8', #deb:libsuitesparse-dev, conda:suitesparse, macos:suite-parse
                      'scanpy>=1.9.3',
                      'gudhi>=3.10.1',
                      'adjustText>=0.8',
                      'pygraphviz>=1.11', ## deb:graphviz libgraphviz-dev, macos:graphpviz
                      'magic-impute>=3.0.0',
                      'anndata>=0.9.2',
                      ],
    classifiers=[
        'Development Status :: 1 - Planning',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: BSD License',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
    ],
    packages=find_packages()
)

